| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::ContourComponent Struct Reference

`#include <path_component.h>`

## Public Member Functions
| ContourComponent ()
constexpr bool | IsClosed () const
| ContourComponent (Point p, Point closed)
bool | operator== (const ContourComponent &other) const

## Public Attributes
Point | destination
Point | closed = Point(1, 1)

## Detailed Description

Definition at line 150 of file path_component.h.

## Constructor & Destructor Documentation

## ◆ ContourComponent() [1/2]

impeller::ContourComponent::ContourComponent | ( |  | ) |
| inline

Definition at line 156 of file path_component.h.

156 {}

## ◆ ContourComponent() [2/2]

impeller::ContourComponent::ContourComponent | ( | Point | p,
|  | Point | closed
| ) |  |
| inlineexplicit

Definition at line 160 of file path_component.h.

161 : destination(p), closed(closed) {}

## Member Function Documentation

## ◆ IsClosed()

constexpr bool impeller::ContourComponent::IsClosed | ( |  | ) | const
| inlineconstexpr

Definition at line 158 of file path_component.h.

158 { return closed == Point{0, 0}; }

References closed.

Referenced by operator==(), and impeller::testing::TEST().

## ◆ operator==()

bool impeller::ContourComponent::operator== | ( | const ContourComponent & | other | ) | const
| inline

Definition at line 163 of file path_component.h.

163 {
164 return destination == other.destination && IsClosed() == other.IsClosed();
165 }

References destination, and IsClosed().

## Member Data Documentation

## ◆ closed

Point impeller::ContourComponent::closed = Point(1, 1)

Definition at line 154 of file path_component.h.

Referenced by IsClosed().

## ◆ destination

Point impeller::ContourComponent::destination

Definition at line 151 of file path_component.h.

Referenced by operator==(), impeller::PathBuilder::Shift(), and impeller::testing::TEST().

The documentation for this struct was generated from the following file:

- impeller/geometry/path_component.h

impeller::Point
TPoint< Scalar > Point
Definition: point.h:327
impeller::ContourComponent::destination
Point destination
Definition: path_component.h:151
impeller::ContourComponent::IsClosed
constexpr bool IsClosed() const
Definition: path_component.h:158
impeller::ContourComponent::closed
Point closed
Definition: path_component.h:154